Bug 17251 - [DOM]: Define the term "subtree"
[DOM]: Define the term "subtree"
Status: RESOLVED WONTFIX
Product: WebAppsWG
Classification: Unclassified
Component: DOM
unspecified
PC All
: P2 normal
: ---
Assigned To: Anne
public-webapps-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 18:13 UTC by Dimitri Glazkov
Modified: 2012-11-09 14:44 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Glazkov 2012-05-30 18:13:39 UTC
The term "subtree" would be useful for a Shadow DOM spec and probably for the Mutation Observers text.
Comment 1 Anne 2012-09-21 09:59:30 UTC
What exactly would this term mean?
Comment 2 Dimitri Glazkov 2012-11-01 20:07:31 UTC
A subtree is a tree or part of a tree. For example, give a node in a tree, all descendants of this node are in a subtree.
Comment 3 Dimitri Glazkov 2012-11-02 16:25:38 UTC
(In reply to comment #2)
> A subtree is a tree or part of a tree. For example, give a node in a tree,
> all descendants of this node are in a subtree.

I guess it's a term relative to a tree. The nodes in the example above are in a subtree relative to the larger tree in which node participates.

I am in the process of nomenclature change in the Shadow DOM spec, so I'll see how much I can remove the notion of a subtree. I'll report after I am done -- I'll know better whether the Shadow DOM spec needs the term subtree.
Comment 4 Dimitri Glazkov 2012-11-07 22:34:26 UTC
BTW, as of http://dvcs.w3.org/hg/webcomponents/rev/5f578fec5447, there's no longer the term "subtree" mentioned in the Shadow DOM spec.
Comment 5 Anne 2012-11-09 14:44:01 UTC
Resolving as WONTFIX then for lack of use case.